<div [ngClass]="['toolbar', dataPanelIsOpen ? 'offset' : '']">
  <div class="toolbar-block">
    <div
      class="btn-loupe"
      (click)="toolbarService.displaySearchStop()"
      [title] ="'TOOLBAR.STOP_SEARCH' | translate"
    >
      <i class="demo-icon icon-partao_loupe"></i>
    </div>
  </div>
  <div class="toolbar-block">
    <div class="zoomControl" #zoomControl></div>
  </div>
  <div class="toolbar-block">
    <div
      [ngClass]="['btn-full-screen', fullScreen ? 'pushed' : '']"
      (click)="toolbarService.toggleFullScreen()"
      [title] ="'TOOLBAR.FULL_SCREEN' | translate"
    >
      <i class="demo-icon icon-resize-full-alt"></i>
    </div>
    <div class="btn-nav" (click)="toolbarService.setNav()" [title] ="'TOOLBAR.NAVIGATION' | translate">
      <i class="demo-icon icon-partao_main"></i>
    </div>
    <div class="btn-undo" (click)="toolbarService.undo()" [title] ="'TOOLBAR.UNDO' | translate">
      <i class="demo-icon icon-undo"></i>
    </div>
    <div [ngClass]="['btn-highlight', darkMode ? 'pushed' : '']" (click)="toolbarService.toggleDarkMode()" [title] ="'TOOLBAR.DARK_MODE' | translate">
      <i class="demo-icon icon-partao_surbrillance"></i>
    </div>
    <div
      class="btn-streetview"
      [title] ="'TOOLBAR.STREETVIEW' | translate"
    >
      <img id="streetview" src="/assets/images/td_streetview.png" dndDraggable (dndEnd)="onDragEnd($event)"/>
    </div>
    <div class="layerControl" #layerControl></div>
  </div>
</div>
